package me.unurled.sacredrealms.cutscenes;

import org.bukkit.Location;

public class Frame {
    private final Location location;
    private static int idCounter = 0;
    private final int ID;

    public Frame(Location location) {
        this.location = location;
        ID = idCounter;
        idCounter++;
    }

    public Frame(Location location, int ID) {
        this.location = location;
        this.ID = ID;
    }

    public Location getLocation() {
        return location;
    }

    /**
     * Play the frame
     * aka move stuff around :shrug:
     */
    public void play() {

    }

    @Override
    public String toString() {
        return "Frame{" +
            "location=" + location +
            ", ID=" + ID +
            '}';
    }

}
